﻿@using X.PagedList.Mvc.Core;
@using X.PagedList.Mvc.Common;
@using X.PagedList;

@model IPagedList<Web.Models.CourseModels.CourseViewModel>
@{
    ViewData["Title"] = "Home Page";
    ViewData["Header"] = "Course";
}



<div class="container text-center" >
    
    <div class="row">
        <div class="col-sm-14 h1">
            Course
        </div>
    </div>
    <div class="row">
    @foreach(var item in Model){
            <div class="col">
                <div class="card mb-3 bg-light">
                    <div class="row g-0">
                        <div class="col-md-4">
                            <img src="@item.FilePath" class="img-fluid rounded-start" alt="...">
                        </div>

                        <div class="col-md-8">
                            <div class="card-body">
                                <h5 class="card-title">@item.Name</h5>
                                <p  class="card-text" id="description">@item.Description</p>
                                <a href="@Url.Action("Index","Group" , new{ courseId = item.Id},null )" class="btn btn-primary">See groups</a> 
                                <a href="@Url.Action("Delete","Course" , new{ id = item.Id},null )" class="btn btn-primary">Remove</a>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
    }
    </div>
    <div class="row">
        <div class="col">
            @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber) of @Model.PageCount
            @Html.PagedListPager((IPagedList)Model, page => Url.Action("Index", new {page}) ,
            new X.PagedList.Web.Common.PagedListRenderOptions{
            LiElementClasses = new string[]{"page-item"},
            PageClasses = new string[]{"page-link"},
            UlElementClasses = new string[] {"pagination justify-content-center"}
            })
            <a class="btn btn-primary" href="@Url.Action("Add","Course")">Add new</a>
        </div>
        
    </div>
    

</div>

